petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetMatSolverPackage

sets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetMatSolverPackage(PC pc,const MatSolverPackage stype)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| stype | - for example, superlu, superlu_dist Many br

### Options Database Key

-pc_factor_mat_solver_package <stype> -petsc, superlu, superlu_dist, mumps, cusparse Many br

Many br

### Note

By default this will use the PETSc factorization if it exists Many br

### Keywords

PC, set, factorization, direct, fill

### See Also

MatGetFactor(), MatSolverPackage, PCFactorGetMatSolverPackage()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html
src/ksp/ksp/examples/tutorials/ex52f.F.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F.html